## ruby-standalone 0.5

=== Makefile ===
ifeq ($(VENDORINSTALL),)
	PREFIX = /usr/local
	RUBYLIB = $(shell ruby -e 'puts RbConfig::CONFIG["sitedir"]')
else
	PREFIX = /usr
	RUBYLIB = $(shell ruby -e 'puts RbConfig::CONFIG["vendordir"]')
endif
BINSTUBS := $(shell dpkg -L ruby | grep /usr/bin/ | xargs -n 1 basename)
BINSTUBS := $(subst ruby,,$(BINSTUBS))
BINARIES = ruby $(BINSTUBS)
EXTRA_BINARIES = rake
MANPAGES = ruby-standalone.1.gz
GENERATED = ruby-standalone debian_ruby_standalone_config.rb

include buildflags.mk

CFLAGS += -std=c11 -Wall

all: $(BINARIES) $(GENERATED) $(MANPAGES) $(EXTRA_BINARIES)

$(MANPAGES): %.1.gz: %.1
	$(RM) $@
	(cat $< | gzip - > $@) || ($(RM) $@; false)

buildflags.mk:
	dpkg-buildflags --export=make > $@

$(BINSTUBS):
	@printf "#!/usr/bin/env ruby\nload '/usr/bin/$@'\n" > $@ || ($(RM) $@; false)
	chmod +x $@

$(GENERATED): % : %.in
	sed -e 's#@@prefix@@#$(PREFIX)#g' $< > $@ || ($(RM) $@; false)
	if [ "$$(basename $@ .rb)" = "$@" ]; then chmod +x $@; fi

ruby-standalone.1: README.md
	pandoc --standalone --to man \
		-V title:ruby-standalone \
		-V section:1 \
		-V footer:ruby-standalone \
		-V header:'User commands' \
		-V date:"$(shell LANG=C date -d "$(dpkg-parsechangelog -SDate)" '+%B %Y')" \
		-o $@ $<
	sed -i -e '2 s/\.SH\s*/\.SH NAME\n/' $@

install: all
	install -d $(DESTDIR)$(PREFIX)/bin
	install -d $(DESTDIR)$(PREFIX)/lib/ruby-standalone/bin
	install -d $(DESTDIR)$(RUBYLIB)
	install -d $(DESTDIR)$(PREFIX)/share/man/man1
	install -m 0755 $(BINARIES) $(EXTRA_BINARIES) $(DESTDIR)$(PREFIX)/lib/ruby-standalone/bin
	install -m 0755 ruby-standalone $(DESTDIR)/$(PREFIX)/bin
	install -m 0644 debian_ruby_standalone.rb $(DESTDIR)$(RUBYLIB)
	install -m 0644 debian_ruby_standalone_config.rb $(DESTDIR)$(RUBYLIB)
	install -m 0644 $(MANPAGES) $(DESTDIR)$(PREFIX)/share/man/man1

distclean clean:
	$(RM) $(BINARIES) $(MANPAGES) ruby-standalone buildflags.mk *.1

test: all
	if [ -x /usr/bin/ruby -a -x /usr/bin/shunit2 ]; then ./run-tests; fi

=== debian/changelog ===
ruby-standalone (0.5) unstable; urgency=medium

  * Force shebang of installed scripts to use the ruby from ruby-standalone

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 10 Dec 2014 15:20:39 -0200

ruby-standalone (0.4) unstable; urgency=medium

  * Change Gem.user_dir to $HOME/.ruby-standalone/gems/ruby/$RUBYVERSION so
    stuff installed without ruby-standalone does not clash with stuff
    installed with it.
    .
    In special, this handles the case where something was installed without
    ruby-standalone and used Debian packages to satisfy dependencies, but when
    you switch to ruby-standalone that dependency will be missing and the
    package will be effectively broken.
  * ruby-standalone: export RUBY_STANDALONE. This is useful for usage in shell
    prompts etc.
  * remove debian/po; debian/templates has been removed in 0.2 when I "backed
    down on the idea of suggesting to create symlinks in /usr/local/bin" (via
    debconf). Having debian/po/ in the source package wastes time of our
    translators who will think those translations are actually used.
    Closes: #771642

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 01 Dec 2014 13:35:09 -0200

ruby-standalone (0.3) unstable; urgency=medium

  * add a `rake` binary, to run the rake included with Ruby.

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 20 Oct 2014 18:42:42 -0200

ruby-standalone (0.2) unstable; urgency=medium

  * Added a `ruby-standalone` binary. See ruby-standalone(1), and backed down
    on the idea of suggesting to create symlinks in /usr/local/bin.

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 13 Oct 2014 09:55:01 -0300

ruby-standalone (0.1) unstable; urgency=medium

  * Initial release

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 20 Sep 2014 11:42:31 -0300

## ruby-standalone 0.5+deb8u1

=== Makefile ===
--- 
+++ 
@@ -5,6 +5,7 @@
 	PREFIX = /usr
 	RUBYLIB = $(shell ruby -e 'puts RbConfig::CONFIG["vendordir"]')
 endif
+RUBY_INSTALL_NAME = $(shell ruby -e 'puts RbConfig::CONFIG["ruby_install_name"]')
 BINSTUBS := $(shell dpkg -L ruby | grep /usr/bin/ | xargs -n 1 basename)
 BINSTUBS := $(subst ruby,,$(BINSTUBS))
 BINARIES = ruby $(BINSTUBS)
@@ -49,6 +50,7 @@
 	install -d $(DESTDIR)$(RUBYLIB)
 	install -d $(DESTDIR)$(PREFIX)/share/man/man1
 	install -m 0755 $(BINARIES) $(EXTRA_BINARIES) $(DESTDIR)$(PREFIX)/lib/ruby-standalone/bin
+	ln -sfT ruby $(DESTDIR)$(PREFIX)/lib/ruby-standalone/bin/$(RUBY_INSTALL_NAME)
 	install -m 0755 ruby-standalone $(DESTDIR)/$(PREFIX)/bin
 	install -m 0644 debian_ruby_standalone.rb $(DESTDIR)$(RUBYLIB)
 	install -m 0644 debian_ruby_standalone_config.rb $(DESTDIR)$(RUBYLIB)

=== debian/changelog ===
ruby-standalone (0.5+deb8u1) jessie; urgency=medium

  * Install `rubyX.Y` as a link to `ruby` so that binaries installed by
    bundler work. (Bundler forces Rubygems to use a shebang like `/usr/bin/env
    rubyX.Y`).

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 20 Feb 2016 21:41:13 -0200

## ruby-standalone 0.5.1

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,6 @@
 	PREFIX = /usr
 	RUBYLIB = $(shell ruby -e 'puts RbConfig::CONFIG["vendordir"]')
 endif
-RUBY_INSTALL_NAME = $(shell ruby -e 'puts RbConfig::CONFIG["ruby_install_name"]')
 BINSTUBS := $(shell dpkg -L ruby | grep /usr/bin/ | xargs -n 1 basename)
 BINSTUBS := $(subst ruby,,$(BINSTUBS))
 BINARIES = ruby $(BINSTUBS)
@@ -40,7 +39,7 @@
 		-V section:1 \
 		-V footer:ruby-standalone \
 		-V header:'User commands' \
-		-V date:"$(shell LANG=C date -d "$(dpkg-parsechangelog -SDate)" '+%B %Y')" \
+		-V date:"$(shell LC_ALL=C date -u -d "$(dpkg-parsechangelog -SDate)" '+%B %Y')" \
 		-o $@ $<
 	sed -i -e '2 s/\.SH\s*/\.SH NAME\n/' $@
 
@@ -50,7 +49,6 @@
 	install -d $(DESTDIR)$(RUBYLIB)
 	install -d $(DESTDIR)$(PREFIX)/share/man/man1
 	install -m 0755 $(BINARIES) $(EXTRA_BINARIES) $(DESTDIR)$(PREFIX)/lib/ruby-standalone/bin
-	ln -sfT ruby $(DESTDIR)$(PREFIX)/lib/ruby-standalone/bin/$(RUBY_INSTALL_NAME)
 	install -m 0755 ruby-standalone $(DESTDIR)/$(PREFIX)/bin
 	install -m 0644 debian_ruby_standalone.rb $(DESTDIR)$(RUBYLIB)
 	install -m 0644 debian_ruby_standalone_config.rb $(DESTDIR)$(RUBYLIB)

=== debian/changelog ===
ruby-standalone (0.5.1) unstable; urgency=medium

  [ Reiner Herrmann ]
  * Make manpage reproducible (Closes: #792525)

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 24 Jul 2015 13:02:25 -0300

=== debian/control ===
Source: ruby-standalone
Section: ruby
Priority: optional
Maintainer: Antonio Terceiro <terceiro@debian.org>
Build-Depends: debhelper (>= 9), ruby, ruby-ffi, shunit2, pandoc
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/collab-maint/ruby-standalone.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/ruby-standalone.git/
Testsuite: autopkgtest

Package: ruby-standalone
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby, debconf
Description: Ruby interpreter that won't integrate with Debian packages
 Ruby is the interpreted scripting language for quick and easy
 object-oriented programming.  It has many features to process text
 files and to do system management tasks (as in perl).  It is simple,
 straight-forward, and extensible.
 .
 This package provides a Ruby interpreter without providing support for other
 Debian-provided Ruby packages, i.e. it won't use any code from Debian packages
 that provide Ruby libraries, Rubygems won't recognize libraries installed with
 Debian packages etc.
 .
 This package is mostly useful for server deployments or development
 environments where one wants or needs to obtain the Ruby interpreter from
 Debian (and thus benefit from having security updates, not having to build
 from source, obtaining pre-build binaries from a trusted source etc.), but
 install everything else from sources external to Debian such as rubygems.org.
 .
 No offical Debian Ruby packages, application or library, should depend on this
 one.

=== debian/rules ===
#!/usr/bin/make -f

export VENDORINSTALL=yes

%:
	dh $@

=== debian/tests/control ===
Test-Command: ./run-tests
Depends: @, ruby-ffi, shunit2

Test-Command: ./run-tests
Depends: @, ruby-ffi, shunit2
Restrictions: needs-root

## ruby-standalone 2.3.0

=== debian/changelog ===
ruby-standalone (2.3.0) unstable; urgency=medium

  * Drop rake binary as Ruby 2.3 does not bundle rake anymore. To use rake
    with Ruby 2.3 one needs to actually install it.
  * Dump Standards-Version: to 3.9.7, no changes needed

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 03 Mar 2016 14:51:42 -0300

ruby-standalone (0.6) unstable; urgency=medium

  * debian/control: fix typos in description
  * Drop dependency on debconf
  * debian_ruby_standalone.rb: don't hide errors is loading
    debian_ruby_standalone_config.rb fails.
  * Install `rubyX.Y` as a link to `ruby` so that binaries installer by
    bundler work. (Bundler forces Rubygems to use a shebang like `/usr/bin/env
    rubyX.Y`). Since we need a rebuild when the default rubyX.Y changes, add a
    dependency on rubyX.Y so we know when to binNMU the package.
  * Switch Vcs-* to https URLs
  * Fix manpage build to produce a correct NAME section

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 18 Feb 2016 18:42:49 -0200

=== debian/control ===
Source: ruby-standalone
Section: ruby
Priority: optional
Maintainer: Antonio Terceiro <terceiro@debian.org>
Build-Depends: debhelper (>= 9), ruby, ruby-ffi, shunit2, pandoc
Standards-Version: 3.9.7
Vcs-Git: https://anonscm.debian.org/git/collab-maint/ruby-standalone.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ruby-standalone.git/
Testsuite: autopkgtest

Package: ruby-standalone
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby, ${ruby:Depends}
Description: Ruby interpreter that won't integrate with Debian packages
 Ruby is the interpreted scripting language for quick and easy
 object-oriented programming.  It has many features to process text
 files and to do system management tasks (as in perl).  It is simple,
 straight-forward, and extensible.
 .
 This package provides a Ruby interpreter without providing support for other
 Debian-provided Ruby packages, i.e. it won't use any code from Debian packages
 that provide Ruby libraries, Rubygems won't recognize libraries installed with
 Debian packages etc.
 .
 This package is mostly useful for server deployments or development
 environments where one wants or needs to obtain the Ruby interpreter from
 Debian (and thus benefit from having security updates, not having to build
 from source, obtaining pre-built binaries from a trusted source etc.), but
 install everything else from sources external to Debian such as rubygems.org.
 .
 No official Debian Ruby packages, application or library, should depend on this
 package.

=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,7 @@
 
 %:
 	dh $@
+
+override_dh_gencontrol:
+	echo ruby:Depends=$(shell ruby -e 'puts RbConfig::CONFIG["ruby_install_name"]') >> debian/ruby-standalone.substvars
+	dh_gencontrol

## ruby-standalone 2.3.1

=== Makefile ===
--- 
+++ 
@@ -5,18 +5,18 @@
 	PREFIX = /usr
 	RUBYLIB = $(shell ruby -e 'puts RbConfig::CONFIG["vendordir"]')
 endif
+RUBY_INSTALL_NAME = $(shell ruby -e 'puts RbConfig::CONFIG["ruby_install_name"]')
 BINSTUBS := $(shell dpkg -L ruby | grep /usr/bin/ | xargs -n 1 basename)
 BINSTUBS := $(subst ruby,,$(BINSTUBS))
 BINARIES = ruby $(BINSTUBS)
-EXTRA_BINARIES = rake
 MANPAGES = ruby-standalone.1.gz
 GENERATED = ruby-standalone debian_ruby_standalone_config.rb
 
 include buildflags.mk
 
-CFLAGS += -std=c11 -Wall
+CFLAGS += -std=c11 -Wall -DRUBY_BINARY=\"/usr/bin/$(RUBY_INSTALL_NAME)\"
 
-all: $(BINARIES) $(GENERATED) $(MANPAGES) $(EXTRA_BINARIES)
+all: $(BINARIES) $(GENERATED) $(MANPAGES)
 
 $(MANPAGES): %.1.gz: %.1
 	$(RM) $@
@@ -41,14 +41,15 @@
 		-V header:'User commands' \
 		-V date:"$(shell LC_ALL=C date -u -d "$(dpkg-parsechangelog -SDate)" '+%B %Y')" \
 		-o $@ $<
-	sed -i -e '2 s/\.SH\s*/\.SH NAME\n/' $@
+	sed -i -e 's/\.SH\s*ruby.-standalone/.SH NAME\nruby\\-standalone/' $@
 
 install: all
 	install -d $(DESTDIR)$(PREFIX)/bin
 	install -d $(DESTDIR)$(PREFIX)/lib/ruby-standalone/bin
 	install -d $(DESTDIR)$(RUBYLIB)
 	install -d $(DESTDIR)$(PREFIX)/share/man/man1
-	install -m 0755 $(BINARIES) $(EXTRA_BINARIES) $(DESTDIR)$(PREFIX)/lib/ruby-standalone/bin
+	install -m 0755 $(BINARIES) $(DESTDIR)$(PREFIX)/lib/ruby-standalone/bin
+	ln -sfT ruby $(DESTDIR)$(PREFIX)/lib/ruby-standalone/bin/$(RUBY_INSTALL_NAME)
 	install -m 0755 ruby-standalone $(DESTDIR)/$(PREFIX)/bin
 	install -m 0644 debian_ruby_standalone.rb $(DESTDIR)$(RUBYLIB)
 	install -m 0644 debian_ruby_standalone_config.rb $(DESTDIR)$(RUBYLIB)

=== debian/changelog ===
ruby-standalone (2.3.1) unstable; urgency=medium

  * debian/rules: enable all hardening features
  * debian/control: Bump Standards-Version to 3.9.8; no changes needed

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 26 Jul 2016 09:18:15 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Antonio Terceiro <terceiro@debian.org>
 Build-Depends: debhelper (>= 9), ruby, ruby-ffi, shunit2, pandoc
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/ruby-standalone.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ruby-standalone.git/
 Testsuite: autopkgtest

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export VENDORINSTALL=yes
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
 	dh $@

=== debian/tests/control ===
--- 
+++ 
@@ -4,3 +4,6 @@
 Test-Command: ./run-tests
 Depends: @, ruby-ffi, shunit2
 Restrictions: needs-root
+
+Tests: bundler-integration
+Restrictions: allow-stderr

## ruby-standalone 2.3.1.1

=== Makefile ===
--- 
+++ 
@@ -11,6 +11,10 @@
 BINARIES = ruby $(BINSTUBS)
 MANPAGES = ruby-standalone.1.gz
 GENERATED = ruby-standalone debian_ruby_standalone_config.rb
+ifeq ($(SOURCE_DATE_EPOCH),)
+	SOURCE_DATE_EPOCH = $(shell date +%s)
+endif
+BUILDDATE = $(shell LANG=C LC_ALL=C date -d @$(SOURCE_DATE_EPOCH) +'%B %Y')
 
 include buildflags.mk
 
@@ -39,7 +43,7 @@
 		-V section:1 \
 		-V footer:ruby-standalone \
 		-V header:'User commands' \
-		-V date:"$(shell LC_ALL=C date -u -d "$(dpkg-parsechangelog -SDate)" '+%B %Y')" \
+		-V date:"$(BUILDDATE)" \
 		-o $@ $<
 	sed -i -e 's/\.SH\s*ruby.-standalone/.SH NAME\nruby\\-standalone/' $@

=== debian/changelog ===
ruby-standalone (2.3.1.1) unstable; urgency=medium

  * Makefile: actually make manpage reproducible
  * Bump Standards-Version to 4.0.0; no changes needed
  * Bump debhelper compatibility level to 10

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 01 Sep 2017 20:20:06 -0300

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: ruby
 Priority: optional
 Maintainer: Antonio Terceiro <terceiro@debian.org>
-Build-Depends: debhelper (>= 9), ruby, ruby-ffi, shunit2, pandoc
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10~), ruby, ruby-ffi, shunit2, pandoc
+Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/ruby-standalone.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ruby-standalone.git/
 Testsuite: autopkgtest

## ruby-standalone 2.5.0

=== debian/changelog ===
ruby-standalone (2.5.0) unstable; urgency=medium

  * Create rubyX.Y symlink dynamically. This fixes a bug inserted by
    "Eliminate the need for rebuilds when switching default Ruby version",
    without reintroducing such need.

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 26 Feb 2018 14:45:11 -0300

ruby-standalone (2.5) unstable; urgency=medium

  * ruby.c: fix logic around newargv
  * Eliminate the need for rebuilds when switching default Ruby version
  * Bump Standards-Version to 4.1.3; no changes needed
  * Drop uneccessary Testsuite: field

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 25 Feb 2018 15:13:55 -0300

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,13 @@
 Priority: optional
 Maintainer: Antonio Terceiro <terceiro@debian.org>
 Build-Depends: debhelper (>= 10~), ruby, ruby-ffi, shunit2, pandoc
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/ruby-standalone.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ruby-standalone.git/
-Testsuite: autopkgtest
 
 Package: ruby-standalone
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ruby, ${ruby:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ruby
 Description: Ruby interpreter that won't integrate with Debian packages
  Ruby is the interpreted scripting language for quick and easy
  object-oriented programming.  It has many features to process text

=== debian/tests/control ===
--- 
+++ 
@@ -7,3 +7,5 @@
 
 Tests: bundler-integration
 Restrictions: allow-stderr
+
+Tests: custom-rubyX.Y

## ruby-standalone 2.7~0

=== debian/changelog ===
ruby-standalone (2.7~0) unstable; urgency=medium

  [ Utkarsh Gupta ]
  * Add salsa-ci.yml

  [ Antonio Terceiro ]
  * Avoid warnings about overridden methods being discarded
  * tests: Drop usage of deprecated ADTTMP variable
  * Vcs-*: point to salsa.debian.org
  * Bump Standard-Version to 4.5.0; no changes needed
  * debian/tests/control: make sure all tests have names
  * run-tests: tighten check for an installed ffi
  * tests: custom-rubyX.Y: allow output stderr on stderr

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 06 Feb 2020 10:33:35 +0100

## ruby-standalone 2.7~2

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,6 @@
 	PREFIX = /usr
 	RUBYLIB = $(shell ruby -e 'puts RbConfig::CONFIG["vendordir"]')
 endif
-RUBY_INSTALL_NAME = $(shell ruby -e 'puts RbConfig::CONFIG["ruby_install_name"]')
 BINSTUBS := $(shell dpkg -L ruby | grep /usr/bin/ | xargs -n 1 basename)
 BINSTUBS := $(subst ruby,,$(BINSTUBS))
 BINARIES = ruby $(BINSTUBS)
@@ -18,7 +17,7 @@
 
 include buildflags.mk
 
-CFLAGS += -std=c11 -Wall -DRUBY_BINARY=\"/usr/bin/$(RUBY_INSTALL_NAME)\"
+CFLAGS += -std=c11 -Wall -DRUBY_BINARY=\"/usr/bin/ruby\"
 
 all: $(BINARIES) $(GENERATED) $(MANPAGES)
 
@@ -53,7 +52,6 @@
 	install -d $(DESTDIR)$(RUBYLIB)
 	install -d $(DESTDIR)$(PREFIX)/share/man/man1
 	install -m 0755 $(BINARIES) $(DESTDIR)$(PREFIX)/lib/ruby-standalone/bin
-	ln -sfT ruby $(DESTDIR)$(PREFIX)/lib/ruby-standalone/bin/$(RUBY_INSTALL_NAME)
 	install -m 0755 ruby-standalone $(DESTDIR)/$(PREFIX)/bin
 	install -m 0644 debian_ruby_standalone.rb $(DESTDIR)$(RUBYLIB)
 	install -m 0644 debian_ruby_standalone_config.rb $(DESTDIR)$(RUBYLIB)

=== debian/changelog ===
ruby-standalone (2.7~2) unstable; urgency=medium

  * Fix last warning against ruby2.7

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 01 Mar 2020 09:16:19 -0300

ruby-standalone (2.7~1) unstable; urgency=medium

  * Drop usage of deprecated Gem::ConfigMap
  * tests: bundler-integration: install a newer rake
  * run-tests: get ruby version only once
  * Fix default specifications dir for Ruby 2.7
  * tests: custom-rubyX.Y: be verbose

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 01 Mar 2020 09:04:40 -0300

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Antonio Terceiro <terceiro@debian.org>
 Build-Depends: debhelper (>= 10~), ruby, ruby-ffi, shunit2, pandoc
-Standards-Version: 4.1.3
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/ruby-standalone.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ruby-standalone.git/
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/ruby-team/ruby-standalone.git
+Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-standalone
 
 Package: ruby-standalone
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export VENDORINSTALL=yes
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

=== debian/tests/control ===
Test-Command: ./run-tests
Depends: @, ruby-ffi, shunit2
Features: test-name=run-tests

Test-Command: ./run-tests
Depends: @, ruby-ffi, shunit2
Restrictions: needs-root
Features: test-name=run-tests-root

Tests: bundler-integration
Restrictions: allow-stderr

Tests: custom-rubyX.Y
Restrictions: allow-stderr

Test-Command: ruby-standalone ruby -w -e 'puts "OK"'
Features: test-name=no-warnings

## ruby-standalone 2.7~3

=== Makefile ===
--- 
+++ 
@@ -5,8 +5,9 @@
 	PREFIX = /usr
 	RUBYLIB = $(shell ruby -e 'puts RbConfig::CONFIG["vendordir"]')
 endif
-BINSTUBS := $(shell dpkg -L ruby | grep /usr/bin/ | xargs -n 1 basename)
-BINSTUBS := $(subst ruby,,$(BINSTUBS))
+RUBY := $(shell ruby -e 'puts RbConfig::CONFIG["ruby_install_name"]')
+RUBY_VERSION := $(patsubst ruby%,%,$(RUBY))
+BINSTUBS := $(shell dpkg -L $(RUBY) | grep /usr/bin/ | grep -v /usr/bin/ruby | xargs -n 1 basename --suffix=$(RUBY_VERSION))
 BINARIES = ruby $(BINSTUBS)
 MANPAGES = ruby-standalone.1.gz
 GENERATED = ruby-standalone debian_ruby_standalone_config.rb
@@ -20,6 +21,9 @@
 CFLAGS += -std=c11 -Wall -DRUBY_BINARY=\"/usr/bin/ruby\"
 
 all: $(BINARIES) $(GENERATED) $(MANPAGES)
+	@echo "Ruby package: " $(RUBY)
+	@echo "Ruby version: " $(RUBY_VERSION)
+	@echo "    Programs: " $(BINSTUBS)
 
 $(MANPAGES): %.1.gz: %.1
 	$(RM) $@
@@ -29,7 +33,7 @@
 	dpkg-buildflags --export=make > $@
 
 $(BINSTUBS):
-	@printf "#!/usr/bin/env ruby\nload '/usr/bin/$@'\n" > $@ || ($(RM) $@; false)
+	@printf "#!/usr/bin/env ruby\nload '/usr/bin/$@$(RUBY_VERSION)'\n" > $@ || ($(RM) $@; false)
 	chmod +x $@
 
 $(GENERATED): % : %.in

=== debian/changelog ===
ruby-standalone (2.7~3) unstable; urgency=medium

  * Provide binstubs for all binaries in rubyX.Y

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 24 May 2020 18:02:12 -0300

## ruby-standalone 2.7~5

=== Makefile ===
ifeq ($(VENDORINSTALL),)
	PREFIX = /usr/local
else
	PREFIX = /usr
endif
RUBY := $(shell ruby -e 'puts RbConfig::CONFIG["ruby_install_name"]')
RUBY_VERSION := $(patsubst ruby%,%,$(RUBY))
BINSTUBS := $(shell dpkg -L $(RUBY) | grep /usr/bin/ | grep -v /usr/bin/ruby | xargs -n 1 basename --suffix=$(RUBY_VERSION))
BINARIES = ruby $(BINSTUBS)
MANPAGES = ruby-standalone.1.gz
GENERATED = ruby-standalone
ifeq ($(SOURCE_DATE_EPOCH),)
	SOURCE_DATE_EPOCH = $(shell date +%s)
endif
BUILDDATE = $(shell LANG=C LC_ALL=C date -d @$(SOURCE_DATE_EPOCH) +'%Y-%m-%d')

include buildflags.mk

LIBDIR = $(PREFIX)/lib/ruby-standalone/lib
CFLAGS += $(shell pkg-config --cflags ruby) -DRUBY_STANDALONE_LIB='"$(LIBDIR)"'
LDFLAGS += $(shell pkg-config --libs ruby)

all: $(BINARIES) $(GENERATED) $(MANPAGES)
	@echo "Ruby package: " $(RUBY)
	@echo "Ruby version: " $(RUBY_VERSION)
	@echo "    Programs: " $(BINSTUBS)

ruby: ruby.o
	$(CC) -o $@ $< $(LDFLAGS)

$(MANPAGES): %.1.gz: %.1
	$(RM) $@
	(cat $< | gzip - > $@) || ($(RM) $@; false)

buildflags.mk:
	dpkg-buildflags --export=make > $@

$(BINSTUBS):
	@printf "#!/usr/bin/env ruby\nload '/usr/bin/$@$(RUBY_VERSION)'\n" > $@ || ($(RM) $@; false)
	chmod +x $@

$(GENERATED): % : %.in
	sed -e 's#@@prefix@@#$(PREFIX)#g' $< > $@ || ($(RM) $@; false)
	if [ "$$(basename $@ .rb)" = "$@" ]; then chmod +x $@; fi

ruby-standalone.1: ruby-standalone.md
	ronn --roff \
		--section=1 \
		--date:"$(BUILDDATE)" \
		$<
	sed -i -e 's/\.SH\s*ruby.-standalone/.SH NAME\nruby\\-standalone/' $@

ruby-standalone.md: README.md
	cp $< $@

install: all
	install -d $(DESTDIR)$(PREFIX)/bin
	install -d $(DESTDIR)$(PREFIX)/lib/ruby-standalone/bin
	install -d $(DESTDIR)$(PREFIX)/share/man/man1
	install -m 0755 $(BINARIES) $(DESTDIR)$(PREFIX)/lib/ruby-standalone/bin
	install -m 0755 ruby-standalone $(DESTDIR)/$(PREFIX)/bin
	install -m 0644 $(MANPAGES) $(DESTDIR)$(PREFIX)/share/man/man1
	install -d $(DESTDIR)/$(LIBDIR)/rubygems/defaults
	install -m 0644 lib/debian_ruby_standalone.rb $(DESTDIR)/$(LIBDIR)
	install -m 0644 lib/rubygems/defaults/operating_system.rb \
		$(DESTDIR)/$(LIBDIR)/rubygems/defaults/

distclean clean:
	$(RM) $(BINARIES) $(MANPAGES) ruby-standalone ruby-standalone.md buildflags.mk *.1 *.o

test: all
	if [ -x /usr/bin/ruby -a -x /usr/bin/shunit2 ]; then ./run-tests; fi

=== debian/changelog ===
ruby-standalone (2.7~5) unstable; urgency=medium

  * autopkgtest: bundler-integration: add needs-internet restriction
  * Rewrite standalone support to work with ruby-rubygems being installed, by
    not using it.

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 23 Nov 2020 14:13:47 -0300

ruby-standalone (2.7~4) unstable; urgency=medium

  [ Cédric Boutillier ]
  * Add .gitattributes to keep unwanted files out of the source package

  [ Antonio Terceiro ]
  * ruby-standalone wrapper: add `set -eu`
  * ruby-standalone wrapper: resist $USER being empty
  * Use backend implementation from rubygems-integration
  * Build manpage using ronn instead of pandoc

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 12 Sep 2020 19:23:10 -0300

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: ruby
 Priority: optional
 Maintainer: Antonio Terceiro <terceiro@debian.org>
-Build-Depends: debhelper (>= 10~), ruby, ruby-ffi, shunit2, pandoc
+Build-Depends: debhelper (>= 10~), ruby, ruby-dev, ruby-ffi, shunit2, ronn, pkg-config
 Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-standalone.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-standalone
 
 Package: ruby-standalone
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ruby
+Depends: ${shlibs:Depends}, ${misc:Depends}, ruby, rubygems-integration (>= 1.17~)
 Description: Ruby interpreter that won't integrate with Debian packages
  Ruby is the interpreted scripting language for quick and easy
  object-oriented programming.  It has many features to process text

## ruby-standalone 3.0~1

=== debian/changelog ===
ruby-standalone (3.0~1) unstable; urgency=medium

  * Revert "binstubs: generate shebang matching the ruby we compile for"
  * lintian: ignore ruby-script-but-no-ruby-dep

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 26 Jan 2022 20:40:38 -0300

ruby-standalone (3.0~0) unstable; urgency=medium

  * Allow building against a non-default Ruby
  * Makefile: optionally include a config.mk
  * .gitignore: add binstubs provided by ruby3.0
  * binstubs: generate shebang matching the ruby we compile for
  * Depend on the correct rubyX.Y package that we built for
  * Bump Standards-Version to 4.6.0 (no changes needed)

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 26 Jan 2022 12:18:54 -0300

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,6 @@
 
 %:
 	dh $@
+
+execute_after_dh_auto_install:
+	(printf 'ruby-standalone:Depends='; $(MAKE) --no-print-directory --silent which-ruby) > debian/ruby-standalone.substvars

## ruby-standalone 3.0~1build1

=== debian/changelog ===
ruby-standalone (3.0~1build1) lunar; urgency=medium

  * No-change upload to remove support for ruby3.0.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 03 Feb 2023 13:56:37 -0300

## ruby-standalone 3.0~1build2

=== debian/changelog ===
ruby-standalone (3.0~1build2) noble; urgency=medium

  * No-change upload to remove support of ruby3.1.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 20 Feb 2024 15:45:41 -0300

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Antonio Terceiro <terceiro@debian.org>
 Build-Depends: debhelper (>= 10~), ruby, ruby-dev, ruby-ffi, shunit2, ronn, pkg-config
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-standalone.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-standalone
 
 Package: ruby-standalone
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ruby, rubygems-integration (>= 1.17~)
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${ruby-standalone:Depends}, rubygems-integration (>= 1.17~)
 Description: Ruby interpreter that won't integrate with Debian packages
  Ruby is the interpreted scripting language for quick and easy
  object-oriented programming.  It has many features to process text

=== debian/tests/control ===
--- 
+++ 
@@ -8,10 +8,13 @@
 Features: test-name=run-tests-root
 
 Tests: bundler-integration
-Restrictions: allow-stderr
+Restrictions: allow-stderr, needs-internet
 
 Tests: custom-rubyX.Y
 Restrictions: allow-stderr
 
 Test-Command: ruby-standalone ruby -w -e 'puts "OK"'
 Features: test-name=no-warnings
+
+Test-Command: echo date | USER= ruby-standalone
+Features: test-name=ruby-standalone-no-USER

## ruby-standalone 3.0~1build3

=== debian/changelog ===
ruby-standalone (3.0~1build3) oracular; urgency=medium

  * No-change upload to add Ruby 3.3 as the default.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Mon, 19 Aug 2024 16:32:18 -0300

## ruby-standalone 3.0~2

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,10 @@
+-include config.mk
 ifeq ($(VENDORINSTALL),)
 	PREFIX = /usr/local
 else
 	PREFIX = /usr
 endif
-RUBY := $(shell ruby -e 'puts RbConfig::CONFIG["ruby_install_name"]')
+RUBY ?= $(shell ruby -e 'puts RbConfig::CONFIG["ruby_install_name"]')
 RUBY_VERSION := $(patsubst ruby%,%,$(RUBY))
 BINSTUBS := $(shell dpkg -L $(RUBY) | grep /usr/bin/ | grep -v /usr/bin/ruby | xargs -n 1 basename --suffix=$(RUBY_VERSION))
 BINARIES = ruby $(BINSTUBS)
@@ -17,8 +18,8 @@
 include buildflags.mk
 
 LIBDIR = $(PREFIX)/lib/ruby-standalone/lib
-CFLAGS += $(shell pkg-config --cflags ruby) -DRUBY_STANDALONE_LIB='"$(LIBDIR)"'
-LDFLAGS += $(shell pkg-config --libs ruby)
+CFLAGS += $(shell pkg-config --cflags ruby-$(RUBY_VERSION)) -DRUBY_STANDALONE_LIB='"$(LIBDIR)"'
+LDFLAGS += $(shell pkg-config --libs ruby-$(RUBY_VERSION))
 
 all: $(BINARIES) $(GENERATED) $(MANPAGES)
 	@echo "Ruby package: " $(RUBY)
@@ -53,6 +54,9 @@
 ruby-standalone.md: README.md
 	cp $< $@
 
+which-ruby:
+	@echo $(RUBY)
+
 install: all
 	install -d $(DESTDIR)$(PREFIX)/bin
 	install -d $(DESTDIR)$(PREFIX)/lib/ruby-standalone/bin

=== debian/changelog ===
ruby-standalone (3.0~2) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from old 10 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.6.2, no changes needed.

  [ Antonio Terceiro ]
  * Set the Ruby team as maintainer

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 07 Apr 2025 12:29:33 -0300

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: ruby-standalone
 Section: ruby
 Priority: optional
-Maintainer: Antonio Terceiro <terceiro@debian.org>
-Build-Depends: debhelper (>= 10~), ruby, ruby-dev, ruby-ffi, shunit2, ronn, pkg-config
-Standards-Version: 4.6.0
+Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Uploaders: Antonio Terceiro <terceiro@debian.org>
+Build-Depends: debhelper-compat (= 13), ruby, ruby-dev, ruby-ffi, shunit2, ronn, pkg-config
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-standalone.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-standalone
